<form autocomplete="off" #createStudentModal="ngForm" (ngSubmit)="save()">
  <h1 mat-dialog-title>{{ "CreateNewStudent" | localize }}</h1>
  <mat-dialog-content>
    <div class="row-fluid">
      <div class="col-md-6">
        <mat-form-field>
          <input matInput name="firstName" [placeholder]="'FirstName' | localize" [(ngModel)]="student.firstName"
            required minlength="3" maxlength="50" />
        </mat-form-field>
        <mat-form-field>
          <input matInput name="Name" [placeholder]="'lastName' | localize" [(ngModel)]="student.lastName" required
            minlength="3" maxlength="50" />
        </mat-form-field>
      </div>
      <div class="col-md-6">
        <mat-form-field>
          <input matInput name="enrollmentDate" [placeholder]="'EnrollmentDate' | localize"
            [(ngModel)]="student.enrollmentDate" [matDatepicker]="enrollmentDate" />
          <mat-datepicker-toggle matSuffix [for]="enrollmentDate"></mat-datepicker-toggle>
          <mat-datepicker #enrollmentDate></mat-datepicker>
        </mat-form-field>
      </div>
    </div>
  </mat-dialog-content>
  <div mat-dialog-actions align="end">
    <button mat-button type="button" [disabled]="saving" (click)="close(false)">
      {{ "Cancel" | localize }}
    </button>
    <button mat-flat-button type="submit" flex="15" color="primary"
      [disabled]="!createStudentModal.form.valid || saving">
      {{ "Save" | localize }}
    </button>
  </div>
</form>